#ifndef THCRYPT_H_
#define THCRYPT_H_

unsigned int th_get_cryprm_index(const char *name);

extern struct {
	unsigned char key;
	unsigned char step;
	unsigned int block;
	unsigned int limit;
} g_cryprm[];

/* Encrypts size bytes from out and writes them to in. */
void th_encrypt(
	const unsigned char* in,
	unsigned char* out,
	int size,
	unsigned char key,
	unsigned char step,
	int block,
	int limit);

#endif
